﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Data_Layer;
using DTO;

namespace Business_Layer
{
    public class CustomerBL : ICustomerBL
    {
        /// <summary>
        /// Gets Customer Name.
        /// </summary>
        /// <param name="customerId">CustomerId object.</param>
        /// <returns>Customer Name.</returns>
        public string GetCustomerName(int customerId)
        {
            return CustomerDL.GetCustomerName(customerId);
        }

        /// <summary>
        /// Gets Customer based on Id.
        /// </summary>
        /// <param name="customerId">CustomerId object.</param>
        /// <returns>Customer object.</returns>
        public Customer GetCustomer(int customerId)
        {
            return CustomerDL.GetCustomer(customerId);
        }

        ///<summary>
        /// Gets all Customers.
        ///</summary>
        ///<returns>List of Customers.</returns>
        public List<Customer> GetCustomers()
        {
            List<Customer> customers = CustomerDL.GetCustomers();

            //Loop and calculate Age from Birth Date.
            foreach (Customer customer in customers)
            {
                customer.Age = (DateTime.Today.Year - customer.BirthDate.Year);
            }

            return customers;
        }
    }
}
