﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DTO;

namespace Business_Layer
{
    public interface ICustomerBL
    {
        /// <summary>
        /// Gets Customer Name.
        /// </summary>
        /// <param name="customerId">CustomerId object.</param>
        /// <returns>Customer Name.</returns>
        string GetCustomerName(int customerId);

        /// <summary>
        /// Gets Customer based on Id.
        /// </summary>
        /// <param name="customerId">CustomerId object.</param>
        /// <returns>Customer object.</returns>
        Customer GetCustomer(int customerId);

        /// <summary>
        /// Gets all Customers.
        /// </summary>
        /// <returns>List of Customers.</returns>
        List<Customer> GetCustomers();
    }
}
