﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DTO;

namespace Data_Layer
{
    public class CustomerDL
    {
        /// <summary>
        /// Gets Customer Name.
        /// </summary>
        /// <param name="customerId">CustomerId object.</param>
        /// <returns>Customer Name.</returns>
        public static string GetCustomerName(int customerId)
        {
            string sql = "Customers_GetName";
            Dictionary<string, object> parameters = new Dictionary<string, object>();
            parameters.Add("@CustomerId", customerId);
            return sql.GetScalar(parameters, true).ToString();
        }

        /// <summary>
        /// Gets Customer based on Id.
        /// </summary>
        /// <param name="customerId">CustomerId object.</param>
        /// <returns>Customer object.</returns>
        public static Customer GetCustomer(int customerId)
        {
            string sql = "Customers_GetCustomer";
            Dictionary<string, object> parameters = new Dictionary<string, object>();
            parameters.Add("@CustomerId", customerId);

            Customer customer = sql.GetSingle<Customer>(parameters, true);
            return customer;
        }

        /// <summary>
        /// Gets all Customers.
        /// </summary>
        /// <returns>List of Customers.</returns>
        public static List<Customer> GetCustomers()
        {
            string sql = "Customers_GetCustomers";
            List<Customer> customers = sql.GetList<Customer>(isStoredProc: true);
            return customers;
        }
    }

}
